Company logoTrust Center Documentation

Create an import

Create a knowledge-base spreadsheet or Notion import, or upload two to twenty PDF files for a document import. PDF upload uses repeated file fields. Each PDF…

POST
/api/v1/imports

Create a knowledge-base spreadsheet or Notion import, or upload two to twenty PDF files for a document import. PDF upload uses repeated file fields. Each PDF is limited to 10 MiB and the batch is limited to 200 MiB. The server validates the PDF signature before staging it in the private imports folder.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/imports" \  -H "Content-Type: application/json" \  -d '{    "target_type": "knowledge_base",    "source_type": "notion",    "source_label": "string",    "notion_integration_id": "string",    "notion_connection_id": "string",    "notion_data_source_id": "string",    "mapping": {      "question": "string",      "answer": "string"    },    "defaults": {      "access_level": "public"    }  }'
{  "id": "string",  "state": "created",  "next_url": "string",  "prepare_event_id": "string",  "prepare_queue_error": "string"}

How is this guide?